Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Winkelbemaßungen filtern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Winkelbemaßungen filtern (778 mal gelesen)
RalphRX8
Mitglied
Kontruktionsbüro


Sehen Sie sich das Profil von RalphRX8 an!   Senden Sie eine Private Message an RalphRX8  Schreiben Sie einen Gästebucheintrag für RalphRX8

Beiträge: 332
Registriert: 17.11.2004

erstellt am: 20. Feb. 2015 16:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich suche eine Befehlszeile mit der ich alle Winkelbemaßungen sprengen kann.
Ich habe es mit ssget "X" probiert, aber irgendwie bekomme ich das nicht hin.

Kann mir jemand helfen?

Viele Grüße
Ralph

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 20. Feb. 2015 16:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von RalphRX8:

Ich habe es mit ssget "X" probiert,

Was genau hast Du probiert?
Evtl. genügt Dir die Information, daß der Bemaßungstyp (Winkelbemaßung) im Gruppencode 70 (=37) veschlüsselt ist.
[EDIT: Codewert korrigiert].

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 20. Feb. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2019
CIVIL 2012 - 2019
BricsCAD V14-V18
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 20. Feb. 2015 16:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Hallo Ralf,
probier mal folgenden Code, vielleicht noch ein bißchen anpassen.

Es wird ein ganz normaler Auswahlsatz erstellt mit der FilterList (0. "DIMENSION")
Weil dann aber alle Bemassungen im AWS enthalten sind wird der AWS in einer REPEAT-Schleife nochmal auf die Objektnamen geprüft.

Code:

(defun c:test ( / AWS OBJNAMELIST)

  (setq ObjNameList'("AcDb2LineAngularDimension"))
 
  (if (and (setq aws (ssget (list (cons 0 "DIMENSION"))))
           (setq aws (test:awsCheck aws ObjNameList)))
    (sssetfirst aws aws)))

;;;Prüfen, obj Objekte des Auswahlsatzes Winkelbemassung
(defun test:awsCheck (aws ObjNameList / AWS1 N)
  (setq n 0
        aws1 (ssadd))
  (repeat (sslength aws)
    (if (member(vla-get-ObjectName
            (vlax-ename->vla-object
              (ssname aws n)))
               ObjNameList)
      (ssadd (ssname aws n)aws1)
      )
    (setq n (+ n 1)))
  (if (/=(sslength aws1)0)
    aws1))


In der Variablen ObjNameList kannst Du noch weiteren Objektnamen von Bemassungen einfügen.
Wenn Du den Objektname von einer Bemassung brauchst nimmst Du einfach folgenden Code und startest diesen direkt über die Befehlszeile und pickst ein Bemassungselement:
(vla-get-ObjectName(vlax-ename->vla-object(car(entsel))))

Ein schönes WE wüsche ich


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Bäume stutzen Youtube

[Diese Nachricht wurde von joern bosse am 20. Feb. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win10Pro
ACAD 2018
C3D 2018
ET

erstellt am: 20. Feb. 2015 16:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Hallo Ralph,

Jupa hatte mit der ersten Aussage (Wert 2 in GC 70) schon recht. Dazu kommt noch 32, was laut Hilfe immer eingestellt wird.
Also sollte helfen:

Code:

(ssget "_X" '((0 . "DIMENSION")(70 . 34)))

Ergänzung:  (70 . 34) liefert (2-Punkt) Winkelbemaßung, (70 . 37) liefert 3-Punkt-Winkelbemaßung

und

Code:
(ssget "_X" '((0 . "DIMENSION")(-4 . "<OR")(70 . 34) (70 . 37)(-4 . "OR>")))

wählt dann beides.

HTH
Gruß

Thomas

[Diese Nachricht wurde von spider_dd am 20. Feb. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 20. Feb. 2015 16:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Hmm, nun bin ich mir aber unsicher: In meiner ersten Antwortvariante hatte ich kurz in die Liste der DXF-Gruppencodes geschaut und dort den Wert 2 gefunden. Dann habe ich eine Winkelbemaßung erstellt und mit entget nachgesehen, da hat die Bemaßung den GC 37, deshalb schnell korrigiert. Und jetzt kommt noch ein dritter Wert (34) ins Spiel? 

Da muß ich nachher doch mal genauer hinschauen.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RalphRX8
Mitglied
Kontruktionsbüro


Sehen Sie sich das Profil von RalphRX8 an!   Senden Sie eine Private Message an RalphRX8  Schreiben Sie einen Gästebucheintrag für RalphRX8

Beiträge: 332
Registriert: 17.11.2004

erstellt am: 20. Feb. 2015 16:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

zunächst mal Danke für die Antworten.

Das wars was ich gebraucht habe:
(ssget "_X" '((0 . "DIMENSION")(70 . 34)))

Habe immer versucht mit (100 . "AcDb2DAngularDimension") aber der hat immer alle Bemaßungen genommen.
Oh Mann, ich hab jetzt bestimmt 5 Stunden deswegen rumgeeiert. 

Woher wisst Ihr diese Codes?

Viele Grüße
Ralph


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 20. Feb. 2015 17:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Ohje, der GC 70 ist auch abhängig von der Art und Weise, wie die Winkelbemaßung erzeugt wurde - durch Picken zweier Linien, durch Wählen eines Kreises oder Bogens, durch
drei Punkte - da wird man also noch eine ODER-Bedingung mit einbauen müssen ...

Jürgen

[EDIT]: Viel zu langsam, liegt's am Alter?

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 20. Feb. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win10Pro
ACAD 2018
C3D 2018
ET

erstellt am: 20. Feb. 2015 17:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Hallo Ralph,

Zitat:
Original erstellt von RalphRX8:
...

Woher wisst Ihr diese Codes?


Lesen bildet 

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RalphRX8
Mitglied
Kontruktionsbüro


Sehen Sie sich das Profil von RalphRX8 an!   Senden Sie eine Private Message an RalphRX8  Schreiben Sie einen Gästebucheintrag für RalphRX8

Beiträge: 332
Registriert: 17.11.2004

erstellt am: 20. Feb. 2015 17:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo nochmal,

zu früh gefreut.
Hab eben rausgefunden dass es den (70 . 162) auch noch gibt.
Hoffe das gibts nicht noch mehr 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 20. Feb. 2015 17:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von RalphRX8:

Hab eben rausgefunden dass es den (70 . 162) auch noch gibt.

Wenn's denn stimmt (kann ich jetzt nicht prüfen), dann packst Du das (70 . 162) einfach noch in die Oder_Klammer in den oben von Thomas ergänzten Code ein.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Feb. 2015 17:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Da fehlt wohl die Übersicht über bitcodierte Werte (nennt man das so?):

Hier ist der Platz wo man nachschaut wenn es um einen Gruppencode der Bemaßung geht
(die allgemeinne, darüber hinaus gibt es noch extra welche, zB. für die Winkelbemaßung erklärt..)

Diese Werte werden ADDIERT ! 34 ist zusammengesetzt aus 2 + 32 usw... also auch 162
Prüfüfen kann man das "dumm" mit einer Liste (member meinwert '(34 .......alle kombinationen bis 162 und darüber hinaus))
oder so:  (= 34 (logand MEINWERT 34))

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win10Pro
ACAD 2018
C3D 2018
ET

erstellt am: 23. Feb. 2015 08:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für RalphRX8 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von RalphRX8:
...
Hab eben rausgefunden dass es den (70 . 162) auch noch gibt.
Hoffe das gibts nicht noch mehr  

Hallo Ralph,
richtig, 162 gibt es auch noch. Wie der von cadffm verlinkten Liste zu entnehmen ist, ist der Bitwert 128 noch gesetzt, wenn der Maßtext nicht an der Standardposition gesetzt ist. Damit ergibt sich für (2-Punkt)Winkelbemaßungen ein GC-Code von (70 . 162). Für die 3-Punkt-Winkelbemaßung kommt dann logischerweise noch die (70 . 165) dazu.

Haben wir jetzt alles??

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz